
Website Input - Bug #2274

Inputs do not correctly detect changes in matches
Status: Closed Start date: 06/25/2018

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Input: Web Spider Estimated time: 0.00 hour

Target version: 4.5.4   

Description

Associated revisions

Revision 659 - 06/25/2018 10:22 PM - lukemurphey

Reorganzing code in to prepare for refactoring code to address bugs

Reference #2274

Revision 660 - 06/26/2018 04:26 AM - lukemurphey

Fixing issue where the input did not correctly realize that matches hadn't changed

Reference #2274

Revision 662 - 06/28/2018 06:17 PM - lukemurphey

Adding back logging of the hash

Reference #2274

Revision 663 - 06/28/2018 06:26 PM - lukemurphey

Fixing logging of the hash value

Reference #2274

Revision 664 - 07/02/2018 04:39 AM - lukemurphey

Fixed regression that caused result change detecton to fail

Reference #2274

History

#1 - 06/26/2018 12:07 AM - Luke Murphey

- Target version deleted (4.5.3)

Observations:

Input indicates that the result matches don't match but indicates the same new hash. It appears that the hash has changed. It appears that the

hash being saved is inconsistent with the one in output_results() versus the one in run().
Questions:

Why is the number of results in the repro (with one URL)?

Should the hashes be deduped?

#2 - 06/26/2018 04:26 AM - Luke Murphey

- Target version set to 4.5.4

#3 - 06/26/2018 04:31 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#4 - 06/28/2018 06:24 PM - Luke Murphey

- Status changed from Closed to In Progress

- % Done changed from 100 to 70

#5 - 07/02/2018 04:39 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
